{% extends "base.html" %}
{% load static %}
{% block content %}
<center>


<div style="padding-top:100px">
    <h1>{{saya}}'s Status</h1>
    {% if ada_status %}
        <div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
            margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
            <div class="header">
                <h2 style="color: white; padding-top: 8px;" class="card-title">{{saya}}</h2>
                    {% if ada_status.state == 'Available' %}
                    <h4 style="color: white; background-color: rgb(22, 170, 22); border-color: rgb(22, 170, 22) ;border-radius:90px; " class="btn btn-success btn-sm">{{ada_status.state}}</h4>
                    {% else %}
                    <h4 style="color: white; background-color: rgb(189, 37, 37); border-color: rgb(189, 37, 37) ;border-radius:90px; " class="btn btn-success btn-sm">{{ada_status.state}}</h4>
                    {% endif %} 
                <h4 style="padding-bottom:8px; color: white;">{{ada_status.context}} until {{ada_status.date}}</h4>
            </div>
        </div>
    </div>
    {% else %}
    <h4 style="color: gray;">anda belum membuat status</h4>
    {% endif %}

    <h1 style="padding-top: 4%;">Friend's Status</h1>
    {% for liststat in status_teman%}
    {% if liststat %}
    <div style="padding-top:20px">
        <div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
            margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
            <div class="header">
                <h2 style="color: white; padding-top: 8px;" class="card-title">{{liststat.namastatus}}</h2>
                    {% if liststat.state == 'Available' %}
                    <h4 style="color: white; background-color: rgb(22, 170, 22); border-color: rgb(22, 170, 22) ;border-radius:90px; " class="btn btn-success btn-sm">{{liststat.state}}</h4>
                    {% else %}
                    <h4 style="color: white; background-color: rgb(189, 37, 37); border-color: rgb(189, 37, 37) ;border-radius:90px; " class="btn btn-success btn-sm">{{liststat.state}}</h4>
                    {% endif %}
                <h4 style="padding-bottom:8px; color: white;;">{{liststat.context}} until {{liststat.date}}</h4>
            </div>
        </div>
    </div>
    {% endif %}
    {% endfor %}
</div>
</center>
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
    }
    @media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
</style>
{% endblock %}